
#ifndef ELEMENTSET_H
#define ELEMENTSET_H ELEMENTSET_H

#include <set>
#include <iostream>

class ElementSet
{
private:
    std::set<char> mySet;

public:
    ElementSet();
    ElementSet(char initial);
    int size() { return mySet.size(); }
    ElementSet Union(const ElementSet & other);
    ElementSet Intersection(const ElementSet & other);
    void label();

    friend std::ostream & operator<<(std::ostream & out, const ElementSet & e);
};

#endif
